LibreOffice LibreOffice 6.0 SDK API Reference

Variables
com::sun::star::sdbc::ColumnType Constant Group Referencepublished

determines the type of a version column. More...

## Variables
const long | UNKNOWN = 0
| indicates that this column may or may not be a pseudo-column. More...
const long | NOT_PSEUDO = 1
| indicates that this column is NOT a pseudo-column. More...
const long | PSEUDO = 2
| indicates that this column is a pseudo-column. More...

## Detailed Description

determines the type of a version column.

## Variable Documentation

## ◆ NOT_PSEUDO

const long NOT_PSEUDO = 1

indicates that this column is NOT a pseudo-column.

A possible value for the column `PSEUDO_COLUMN` in the com::sun::star::sdbc::XResultSet object returned by the method com::sun::star::sdbc::XDatabaseMetaData::getVersionColumns().

## ◆ PSEUDO

const long PSEUDO = 2

indicates that this column is a pseudo-column.

A possible value for the column `PSEUDO_COLUMN` in the com::sun::star::sdbc::XResultSet object returned by the method com::sun::star::sdbc::XDatabaseMetaData::getVersionColumns().

## ◆ UNKNOWN

const long UNKNOWN = 0

indicates that this column may or may not be a pseudo-column.

A possible value for the column `PSEUDO_COLUMN` in the com::sun::star::sdbc::XResultSet object returned by the method com::sun::star::sdbc::XDatabaseMetaData::getVersionColumns().